gl_setrgbpalette(3)

NAME
gl_setrgbpalette - set a 256-color RGB palette

SYNOPSIS
#include <vgagl.h> void gl_setrgbpalette(void)

DESCRIPTION
Sets 256-color RGB palette (bits 0 - 2 blue, 3 - 5 green, 6 - 7 red). Call this prior to using gl_getpixelrgb(3), gl_rgbcolor(3), or gl_setpixelrgb(3) in 256 color modes.

SEE ALSO
svgalib(7), vgagl(7), svgalib.conf(5), threedkit(7), testgl(1), plane(1), wrapdemo(1), gl_getpixelrgb(3), gl_rgbcolor(3), gl_setpalette(3), gl_setpalettecolor(3), gl_setpalettecolors(3), gl_setpixelrgb(3).

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The exact source of the referenced demo as well as of the original documentation is unknown. It is very likely that both are at least to some extend are due to Harm Hanemaayer <H.Hanemaayer@inter.nl.net>. Occasionally this might be wrong. I hereby excuse by the correct author and will happily accept any additions or corrections to this first version of the svgalib manual.